Memos

Batch Get Users

BatchGetUsers gets active users by username. Usernames that match no active user are omitted from the response.

POST
/api/users:batchGet

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request message for UserService.BatchGetUsers.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/users:batchGet" \  -H "Content-Type: application/json" \  -d '{    "names": [      "string"    ]  }'
{  "users": [    {      "name": "string",      "username": "string",      "displayName": "string",      "email": "string",      "avatarUrl": "string",      "description": "string",      "password": "string",      "role": "ROLE_UNSPECIFIED",      "state": "STATE_UNSPECIFIED",      "createTime": "2019-08-24T14:15:22Z",      "updateTime": "2019-08-24T14:15:22Z"    }  ]}